Subject: Re: linux-next: build failure after merge of the irqchip tree

From: Stefan Agner <[email-masked]>
Date: Mon, 13 Apr 2015 11:10:21 +0200

Hi Jason,

On 2015-04-13 09:05, Stephen Rothwell wrote:
> Hi Jason,
> 
> After merging the irqchip tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> kernel/irq/generic-chip.c: In function 'irq_map_generic_chip':
> kernel/irq/generic-chip.c:408:2: error: implicit declaration of
> function 'irq_domain_set_info' [-Werror=implicit-function-declaration]
>   irq_domain_set_info(d, virq, hw_irq, chip, gc, ct->handler, NULL, NULL);
>   ^

Hm, sorry about that, I did not notice that this function is only
available with domain hierarchy. I guess making domain hierarchy a
dependency of genirq is a bit harsh...

--
Stefan

> 
> Caused by commit 3f6b2c298240 ("genirq: Generic chip: Support hierarchy
> domain").  The only declaration of irq_domain_set_info() depends on
> CONFIG_IRQ_DOMAIN_HIERARCHY.
> 
> I have used the irqchip tree from next-20150410 fot today.